idf_component_register(SRCS "esp_implementation_init.cpp"
                            "esp_implementation_cmd.cpp"
                            "esp_implementation_int.cpp"
                            "esp_implementation_bus.cpp"
                            "esp_implementation_bus_factory.cpp"
                       INCLUDE_DIRS "include"
                       REQUIRES driver)